## vlevel 0.5

=== debian/changelog ===
vlevel (0.5-1) unstable; urgency=low

  * Initial release (Closes: #774230)
  * Add patch to fix hardcoded Makefile variables

 -- Axel Beckert <abe@debian.org>  Tue, 30 Dec 2014 18:31:18 +0100
