=== debian/control ===
Source: vlevel
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9),
               help2man
Standards-Version: 3.9.6
Homepage: https://github.com/radiocicletta/vlevel
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vlevel.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/vlevel.git

Package: vlevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Levelling LADSPA plugin and command-line audio filter
 VLevel keeps your music from making you jump out of your seat, and it
 keeps you from having to fiddle with the volume constantly. It's
 different from other dynamic compressors because it looks ahead. You
 can think of VLevel as someone who knows your music by heart, and
 turns the volume up during quiet passages, but smoothly turns it back
 down when he knows a loud part is coming. It's great for making CDs
 to listen to in your car, or to play background music on your
 computer.
 .
 VLevel is currently a LADSPA plugin and a command-line filter. You can
 use it with many Linux audio programs including XMMS, GStreamer,
 GLAME, GDAM, and others, and you can use it in shell scripts to level
 your music before burning a CD.
 .
 The commandline filter is also useful for levelling podcasts before
 (encoding and) publishing.
