=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ 

override_dh_installman:
	help2man -N \
		--no-discard-stderr \
		-h -h \
		--version-string=`dpkg-parsechangelog -SVersion | cut -d- -f1` \
		-n 'Levelling Filter' \
		debian/vlevel/usr/bin/vlevel > vlevel.1
	dh_installman
