=== debian/control ===
Source: vlevel
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 12),
               help2man,
               libjack-jackd2-dev | libjack-dev
Standards-Version: 4.3.0
Homepage: https://github.com/radiocicletta/vlevel
Vcs-Git: https://salsa.debian.org/multimedia-team/vlevel.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/vlevel
Rules-Requires-Root: no

Package: vlevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: jackd
Description: Levelling audio filter as command-line tool and LADSPA/JACK plugin
 VLevel keeps your music from making you jump out of your seat, and it
 keeps you from having to fiddle with the volume constantly. It's
 different from other dynamic compressors because it looks ahead. You
 can think of VLevel as someone who knows your music by heart, and
 turns the volume up during quiet passages, but smoothly turns it back
 down when he knows a loud part is coming. It's great for making CDs
 to listen to in your car, or to play background music on your
 computer.
 .
 VLevel is currently a LADSPA plugin, a JACK plugin and a command-line
 filter. You can use it with many Linux audio programs including XMMS,
 GStreamer, GLAME, GDAM, and others, and you can use it in shell
 scripts to level your music before burning a CD.
 .
 The commandline filter is also useful for levelling podcasts before
 (encoding and) publishing.
