=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv -v debian/vlevel/usr/bin/vlevel-bin debian/vlevel/usr/bin/vlevel

override_dh_installman:
	help2man -N \
		--no-discard-stderr \
		-h -h \
		--version-string=`echo $(DEB_VERSION) | cut -d- -f1` \
		-n 'Levelling Filter' \
		debian/vlevel/usr/bin/vlevel > vlevel.1
	dh_installman

override_dh_clean:
	dh_clean -XREADME.orig
