=== debian/watch ===
version=3
# Old SF project, all releases so far
https://sf.net/vlevel/vlevel-(.*)\.tar\.gz

# More recent project on GitHub, no releases yet
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/<project>-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
