## vlevel 0.5.2

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,10 @@
 # I'd be interested to see how setting -DEXPECT impacts performance -
 # on my system, it makes it a bit worse.
 
+export VERSION = 0.5.2
+
 #export CXXFLAGS = -Wall -O3 -fPIC -DPIC -g -march=pentium4
-export CXXFLAGS = -Wall -O3 -fPIC -DPIC
+export CXXFLAGS += -Wall -O3 -fPIC -DPIC -DVLEVEL_VERSION=\"$(VERSION)\"
 
 # On my system, ICC is quite a bit faster, with these options:
 #export CC=icc
@@ -36,36 +38,30 @@
 #export CXXFLAGS = -fPIC -DPIC -g  -O3 -rcd
 
 # This is where it will be installed
-export PREFIX = /usr/local/
+export DESTDIR := /
+export PREFIX = $(DESTDIR)/usr/
 export LADSPA_PATH = $(PREFIX)/lib/ladspa/
 
 # End of user-editable options.
 
-
-# Note: this probably isn't the best way to have one makefile for
-# source in several directories.  Someday I'll figure out automake.
-# Writing Makefiles always makes me feel like I'm reinventing the
-# wheel.
-
-# This is evil, but it makes implicit link rules use g++, not gcc
 export CC = $(CXX)
 
 .PHONY: all install clean
 
 all:
-	make -C volumeleveler all
-	make -C vlevel-bin all
-	make -C vlevel-ladspa all
-	make -C vlevel-jack all
+	$(MAKE) -C volumeleveler all
+	$(MAKE) -C vlevel-bin all
+	$(MAKE) -C vlevel-ladspa all
+	$(MAKE) -C vlevel-jack all
 
 install: all
-	make -C volumeleveler install
-	make -C vlevel-bin install
-	make -C vlevel-ladspa install
-	make -C vlevel-jack install
+	$(MAKE) -C volumeleveler install
+	$(MAKE) -C vlevel-bin install
+	$(MAKE) -C vlevel-ladspa install
+	$(MAKE) -C vlevel-jack install
 
 clean:
-	make -C volumeleveler clean
-	make -C vlevel-bin clean
-	make -C vlevel-ladspa clean
-	make -C vlevel-jack clean
+	$(MAKE) -C volumeleveler clean
+	$(MAKE) -C vlevel-bin clean
+	$(MAKE) -C vlevel-ladspa clean
+	$(MAKE) -C vlevel-jack clean
