=== vlevel-bin/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 # Make sucks.
 
 ../volumeleveler/volumeleveler.o:
-	make -C ../volumeleveler all
+	$(MAKE) -C ../volumeleveler all
 
 vlevel-bin: vlevel-bin.o \
             commandline.o \
