=== debian/changelog ===
vlevel (0.5.2-1) unstable; urgency=medium

  * Team upload

  [ Axel Beckert ]
  * New minor upstream release 0.5.2.
    + Drop all but one hunk from fix-hardcoded-makefile-variables.patch,
      applied upstream.
    + Drop remaining patches, applied upstream.
  * Bump packaging copyright years in debian/copyright. Thanks Lintian!
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)

  [ Sebastian Ramacher ]
  * debian/control:
    - Add pkgconf to Build-Depends (Closes: #1076931)
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Jul 2024 13:42:24 +0200

vlevel (0.5.1-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923617)
    + Upstream expects $(CC) to contain a C++ compiler.
    + cross.patch: Make pkg-config substitutable.

  [ Axel Beckert ]
  * Add DEP-3 header to Helmut's patch.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Create a DEP-12 debian/upstream/metadata file pointing to Github.
  * debian/watch:
    + Fix filenamemangle, replace "<project>" with "vlevel". Thanks Lintian!
    + Bump version from 3 to 4.
    + Drop old SF download page, the Github repo now at least has tags.

  [ Debian Janitor ]
  * Bump debhelper-compat from 12 to 13.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Sep 2021 16:34:05 +0200
