=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
-               libjack-jackd2-dev | libjack-dev
-Standards-Version: 4.3.0
+               libjack-jackd2-dev | libjack-dev,
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/radiocicletta/vlevel
 Vcs-Git: https://salsa.debian.org/multimedia-team/vlevel.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/vlevel
