=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build -- 'CC=$$(CXX)'
 
 override_dh_auto_install:
 	dh_auto_install
