=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/vlevel-$1.tar.gz/" \
https://github.com/radiocicletta/vlevel/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

# No declared releases so far, just tags
#opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/vlevel-$1.tar.gz/" \
#https://github.com/radiocicletta/vlevel/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
